<template>
  <section>
    <active-user :displayedUser="user" :displayedAge="age"></active-user>
    <user-data @change-data="changeData"></user-data>
  </section>
</template>

<script>
export default {
  data() {
    return {
      user: "aa",
      age: 44,
    };
  },
  methods: {
    changeData(newUser, newAge) {
      this.user = newUser;
      this.age = newAge;
    },
  },
};
</script>

<style>
section {
  margin: 100px 0;
  display: flex;
  justify-content: space-around;
}
section > * {
  border: 0.5px solid gray;
  width: 40%;
  padding: 50px 30px;
  font-size: 24px;
}
</style>
